# Generated from terminal-table-1.4.5.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name terminal-table
%global rubyabi 1.9.1

Summary: Simple, feature rich ascii table generation library
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.4.5
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://github.com/visionmedia/terminal-table
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Simple, feature rich ascii table generation library


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/





%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/lib/terminal-table.rb
%doc %{gem_instdir}/lib/terminal-table/cell.rb
%doc %{gem_instdir}/lib/terminal-table/core_ext.rb
%doc %{gem_instdir}/lib/terminal-table/import.rb
%doc %{gem_instdir}/lib/terminal-table/table.rb
%doc %{gem_instdir}/lib/terminal-table/version.rb
%doc %{gem_instdir}/lib/terminal-table/row.rb
%doc %{gem_instdir}/lib/terminal-table/separator.rb
%doc %{gem_instdir}/lib/terminal-table/style.rb
%doc %{gem_instdir}/lib/terminal-table/table_helper.rb
%doc %{gem_instdir}/tasks
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/Manifest
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/Todo.rdoc
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/spec
%doc %{gem_instdir}/terminal-table.gemspec


%changelog
* Wed Jul 24 2013 Steve Linabery <slinaber@redhat.com> - 1.4.5-1
- Initial package
